<script lang="ts">
// @vue/component
import { Prop, Component, Watch } from 'vue-property-decorator';
import type SharedActions from '@/logic/SharedActions';
import type { BScrollToEmitter } from './BScrollToLabel.vue';
import LabelBehavior from '../LabelBehavior.vue';

/**
 * When targetCount is updated, scroll to target
 */
@Component
export default class BScrollOnTarget extends LabelBehavior<BScrollToEmitter> {
  @Prop()
  actions!: SharedActions;

  @Watch('actions.targetCount')
  onTargetedLabel(): void {
    // Try to scroll to selection
    this.emit('scroll-to-selection');
  }
}
</script>
